package intrinsic.mx.graphics;

public class Stroke extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.graphics.IStroke {

	/** Accessors */
	public String caps;
	public double weight;
	public String scaleMode;
	public String joints;
	public double alpha;
	public int color;
	public boolean pixelHinting;
	public double miterLimit;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Stroke() {
}

public Stroke(Object arg0) {
}

public Stroke(Object arg0, Object arg1) {
}

public Stroke(Object arg0, Object arg1, Object arg2) {
}

public Stroke(Object arg0, Object arg1, Object arg2, Object arg3) {
}

public Stroke(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}

public Stroke(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
}

public Stroke(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
}

public Stroke(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7) {
}


/** Static Methods */

/** Methods */
public native void apply(intrinsic.flash.display.Graphics arg0);

}
